DPDK patches and discussions
 help / color / mirror / Atom feed
From: Daniel Mrzyglod <danielx.t.mrzyglod@intel.com>
To: dev@dpdk.org
Subject: [dpdk-dev] [PATCH v3] Modify tools/setup.sh to be compatible with fedora 21
Date: Fri, 10 Oct 2014 11:08:08 +0100	[thread overview]
Message-ID: <1412935688-16991-1-git-send-email-danielx.t.mrzyglod@intel.com> (raw)

script was expecting /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko but in fedora 21
there are Compressed kernel modules - xz (LZMA)

V3 patch: Remove sudo
V2 patch: Use modinfo instead ls
V1 patch: use ls instead checking if specific file exist

Signed-off-by: Daniel Mrzyglod <danielx.t.mrzyglod@intel.com>
---
 tools/setup.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tools/setup.sh b/tools/setup.sh
index 369e09e..14e319c 100755
--- a/tools/setup.sh
+++ b/tools/setup.sh
@@ -169,7 +169,8 @@ load_igb_uio_module()
 
 	/sbin/lsmod | grep -s uio > /dev/null
 	if [ $? -ne 0 ] ; then
-		if [ -f /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko ] ; then
+		modinfo uio > /dev/null
+		if [ $? -eq 0 ]; then
 			echo "Loading uio module"
 			sudo /sbin/modprobe uio
 		fi
-- 
2.1.0

             reply	other threads:[~2014-10-10 10:00 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-10-10 10:08 Daniel Mrzyglod [this message]
2014-10-10 11:33 ` Neil Horman
2014-10-10 15:58   ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1412935688-16991-1-git-send-email-danielx.t.mrzyglod@intel.com \
    --to=danielx.t.mrzyglod@intel.com \
    --cc=dev@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).